Ticket #44372

effect_list_sanity_cb() uses log_error() instead of ruleset_error()

Date d'ouverture: 2022-04-14 16:03 Dernière mise à jour: 2022-08-30 14:01

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
3

Détails

effect_list_sanity_cb() reports some errors with log_error() instead of ruleset_error(). That's likely a bug.

Ticket History (3/9 Histories)

2022-04-14 16:03 Updated by: cazfi
  • New Ticket "effect_list_sanity_cb() uses log_error() instead of ruleset_error()" created
2022-05-29 07:26 Updated by: cazfi
  • Jalon Update from (Aucun) to 3.1.0
Commentaire

rssanity.c does the same on number of places outside effect_list_sanity_cb()

As the ruleset_error() currently stands, there's not much difference between ruleset_error(LOG_ERROR ...) and log_error() -> this is probably not worth fixing in S3_0.

The main difference between those functions is that ruleset_error() has a buffer of just 1024 bytes, and do_log() that log_error() uses buffer size is MAX_LEN_LOG_LINE (5120), so changing those calls to ruleset_error() would actually risk truncating them. Will open a new ticket about increasing ruleset_error() buffer size.

2022-05-29 07:38 Updated by: cazfi
Commentaire

Reply To cazfi

Will open a new ticket about increasing ruleset_error() buffer size.

-> #44704, consider that one dependency of this.

2022-08-22 10:04 Updated by: cazfi
Commentaire

Reply To cazfi

As the ruleset_error() currently stands, there's not much difference between ruleset_error(LOG_ERROR ...) and log_error() -> this is probably not worth fixing in S3_0.

This might change with #45395, in a way that makes this ticket its dependency (should properly call ruleset_error() before assuming change in ruleset_error() behavior to take effect)

2022-08-22 11:44 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
  • Jalon Update from 3.1.0 to 3.0.4
2022-08-30 14:01 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion